## GladeCatalog GladeCatalog |

## Functions

void | (*GladeCatalogInitFunc) ()
const GList * | glade_catalog_load_all ()
void | glade_catalog_destroy_all ()
void | glade_catalog_add_path ()
void | glade_catalog_remove_path ()
GList * | glade_catalog_get_adaptors ()
gboolean | glade_catalog_is_loaded ()
const gchar * | glade_catalog_get_book ()
const gchar * | glade_catalog_get_domain ()
const GList * | glade_catalog_get_extra_paths ()
const gchar * | glade_catalog_get_icon_prefix ()
guint16 | glade_catalog_get_major_version ()
guint16 | glade_catalog_get_minor_version ()
const gchar * | glade_catalog_get_name ()
const gchar * | glade_catalog_get_prefix ()
GList * | glade_catalog_get_targets ()
GList * | glade_catalog_get_widget_groups ()
const GList * | glade_widget_group_get_adaptors ()
gboolean | glade_widget_group_get_expanded ()
const gchar * | glade_widget_group_get_name ()
const gchar * | glade_widget_group_get_title ()

## Types and Values

| GladeCatalog
| GladeTargetableVersion
| GladeWidgetGroup

## Description

## Functions

### GladeCatalogInitFunc ()

    void
    (*GladeCatalogInitFunc) (const gchar *name);

Called once at glade startup time for every catalog, catalogs are initialized in order of dependencies.

#### Parameters

name | The name of the catalog |

### glade_catalog_load_all ()

    const GList *
    glade_catalog_load_all (void);

Loads all available catalogs in the system. First loads catalogs from GLADE_ENV_CATALOG_PATH, then from `glade_app_get_catalogs_dir()` and finally from paths specified with `glade_catalog_add_path()`

#### Returns

the list of loaded GladeCatalog *.

[element-type GladeCatalog][transfer none]

### glade_catalog_destroy_all ()

    void
    glade_catalog_destroy_all (void);

Destroy and free all resources related with every loaded catalog.

### glade_catalog_add_path ()

    void
    glade_catalog_add_path (const gchar *path);

Adds a new path to the list of path to look catalogs for.

#### Parameters

path | the new path containing catalogs |

### glade_catalog_remove_path ()

    void
    glade_catalog_remove_path (const gchar *path);

Remove path from the list of path to look catalogs for. `NULL` to remove all paths.

#### Parameters

path | the new path containing catalogs or `NULL` to remove all of them. | [nullable]

### glade_catalog_get_adaptors ()

    GList *
    glade_catalog_get_adaptors (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

the list of widget class adaptors.

[transfer none][element-type GladeWidgetAdaptor]

### glade_catalog_is_loaded ()

    gboolean
    glade_catalog_is_loaded (const gchar *name);

#### Parameters

name | a catalog object |

#### Returns

Whether `name` is loaded or not

### glade_catalog_get_book ()

    const gchar *
    glade_catalog_get_book (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The Devhelp search domain.

### glade_catalog_get_domain ()

    const gchar *
    glade_catalog_get_domain (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The domain to be used to translate strings from this catalog

### glade_catalog_get_extra_paths ()

    const GList *
    glade_catalog_get_extra_paths (void);

#### Returns

a list paths added by `glade_catalog_add_path()`.

[element-type utf8][transfer none]

### glade_catalog_get_icon_prefix ()

    const gchar *
    glade_catalog_get_icon_prefix (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The prefix for icons.

### glade_catalog_get_major_version ()

    guint16
    glade_catalog_get_major_version (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The catalog version

### glade_catalog_get_minor_version ()

    guint16
    glade_catalog_get_minor_version (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The catalog minor version

### glade_catalog_get_name ()

    const gchar *
    glade_catalog_get_name (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The symbolic catalog name.

### glade_catalog_get_prefix ()

    const gchar *
    glade_catalog_get_prefix (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

The catalog path prefix.

### glade_catalog_get_targets ()

    GList *
    glade_catalog_get_targets (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

the list of suitable version targets.

[transfer none][element-type GladeTargetableVersion]

### glade_catalog_get_widget_groups ()

    GList *
    glade_catalog_get_widget_groups (GladeCatalog *catalog);

#### Parameters

catalog | a catalog object |

#### Returns

the list of widget groups (palette).

[transfer none][element-type GladeWidgetGroup]

### glade_widget_group_get_adaptors ()

    const GList *
    glade_widget_group_get_adaptors (GladeWidgetGroup *group);

#### Parameters

group | a widget group |

#### Returns

a list of class adaptors in the palette.

[transfer none][element-type GladeWidgetAdaptor]

### glade_widget_group_get_expanded ()

    gboolean
    glade_widget_group_get_expanded (GladeWidgetGroup *group);

#### Parameters

group | a widget group |

#### Returns

Whether group is expanded in the palette

### glade_widget_group_get_name ()

    const gchar *
    glade_widget_group_get_name (GladeWidgetGroup *group);

#### Parameters

group | a widget group |

#### Returns

the widget group name

### glade_widget_group_get_title ()

    const gchar *
    glade_widget_group_get_title (GladeWidgetGroup *group);

#### Parameters

group | a widget group |

#### Returns

the widget group name used in the palette

## Types and Values

### GladeCatalog

    typedef struct _GladeCatalog GladeCatalog;

### GladeTargetableVersion

    typedef struct {
      gint major;
      gint minor;
    } GladeTargetableVersion;

### GladeWidgetGroup

    typedef struct _GladeWidgetGroup GladeWidgetGroup;